package com.ywt.domain.entity.glasses;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * 邮寄地址表
 */
@Table(name = "post_address")
@Entity
public class PostAddress implements Serializable {
  private static final long serialVersionUID = 1L;

  /**
   * 主键id
   */
  @Id
  @Column(name = "id", insertable = false, nullable = false)
  private Integer id;

  /**
   * 姓名
   */
  @Column(name = "name", nullable = false)
  private String name;

  /**
   * 手机号
   */
  @Column(name = "mobile", nullable = false)
  private String mobile;


  /**
   * 省市区的ids，比如：,省ID,市ID,区ID,
   */
  @Column(name = "address_ids")
  private String addressIds = "";

  /**
   * 省
   */
  @Column(name = "province", nullable = false)
  private String province = "";

  /**
   * 市
   */
  @Column(name = "city", nullable = false)
  private String city = "0";

  /**
   * 区
   */
  @Column(name = "area", nullable = false)
  private String area = "0";

  /**
   * 详细地址
   */
  @Column(name = "address", nullable = false)
  private String address = "0";

  /**
   * 是否删除
   */
  @Column(name = "deleted", nullable = false)
  private Integer deleted = 0;

  @Column(name = "creat_time", nullable = false)
  private Date creatTime;

  @Column(name = "update_time")
  private Date updateTime;

  /**
   * 主键id
   */
  public Integer getId() {
    return id;
  }

  /**
   * 主键id
   */
  public void setId(Integer id) {
    this.id = id;
  }

  /**
   * 姓名
   */
  public String getName() {
    return name;
  }

  /**
   * 姓名
   */
  public void setName(String name) {
    this.name = name;
  }

  /**
   * 手机号
   */
  public String getMobile() {
    return mobile;
  }

  /**
   * 手机号
   */
  public void setMobile(String mobile) {
    this.mobile = mobile;
  }


  public String getAddressIds() {
    return addressIds;
  }

  public void setAddressIds(String addressIds) {
    this.addressIds = addressIds;
  }

  /**
   * 省
   */
  public String getProvince() {
    return province;
  }

  /**
   * 省
   */
  public void setProvince(String province) {
    this.province = province;
  }

  /**
   * 市
   */
  public String getCity() {
    return city;
  }

  /**
   * 市
   */
  public void setCity(String city) {
    this.city = city;
  }

  /**
   * 区
   */
  public String getArea() {
    return area;
  }

  /**
   * 区
   */
  public void setArea(String area) {
    this.area = area;
  }

  /**
   * 详细地址
   */
  public String getAddress() {
    return address;
  }

  /**
   * 详细地址
   */
  public void setAddress(String address) {
    this.address = address;
  }

  /**
   * 是否删除
   */
  public Integer getDeleted() {
    return deleted;
  }

  /**
   * 是否删除
   */
  public void setDeleted(Integer deleted) {
    this.deleted = deleted;
  }

  public Date getCreatTime() {
    return creatTime;
  }

  public void setCreatTime(Date creatTime) {
    this.creatTime = creatTime;
  }

  public Date getUpdateTime() {
    return updateTime;
  }

  public void setUpdateTime(Date updateTime) {
    this.updateTime = updateTime;
  }

  public String toString() {
    return "PostAddress{id=" + id + 
      ", name=" + name + 
      ", mobile=" + mobile + 
      ", province=" + province + 
      ", city=" + city + 
      ", area=" + area + 
      ", address=" + address + 
      ", deleted=" + deleted + 
      ", creatTime=" + creatTime + 
      ", updateTime=" + updateTime + 
      "}";
  }
}